MAPIC++ClientLibraryBindings 2.0 API Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libmapipp::message Class Reference

This class represents a message in Exchange. More...

`#include <message.h>`

Inheritance diagram for libmapipp::message:

## Public Member Functions
attachment_container_type | fetch_attachments ()
| Fetches all attachments in this message.
mapi_id_t | get_folder_id () const
| Get this message's parent folder ID.
mapi_id_t | get_id () const
| Get this message's ID.
| message (session &mapi_session, const mapi_id_t folder_id, const mapi_id_t message_id) throw (mapi_exception)
| Constructor.
virtual | ~message () throw ()
| Destructor.
Public Member Functions inherited from libmapipp::object
virtual mapi_object_t & | data () throw ()
| Obtain a reference to the mapi_object_t associated with this object.
virtual property_container | get_property_container ()
| Obtain a property_container to be used with this object.
virtual session & | get_session ()
| Obtain the session associated with this object.
| object (session &mapi_session, const std::string &object_type="") throw ()
| Object Constructor.
virtual | ~object () throw ()
| Destructor.

## Detailed Description

This class represents a message in Exchange.

It is important to note that a message is not necessarily an email message. It could be a contact, journal or anything else that is not a folder.

Examples:
  attach_test.cpp.

## Constructor & Destructor Documentation

libmapipp::message::message | ( | session & | mapi_session,
|  | const mapi_id_t | folder_id,
|  | const mapi_id_t | message_id
| ) |  | throw (mapi_exception)
| inline

Constructor.

Parameters

  mapi_session | The session to use to retrieve this message.
  folder_id | The id of the folder this message belongs to.
  message_id | The message id.

## Member Function Documentation

attachment_container_type libmapipp::message::fetch_attachments | ( |  | ) |

Fetches all attachments in this message.

Returns
  A container of attachment shared pointers.

Examples:
  attach_test.cpp.

The documentation for this class was generated from the following file:

- libmapi++/message.h

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/